﻿using System;
using System.Collections.Generic;
using System.Text;

namespace AxisGroupingDemo.Data.Model
{
    public class State
    {
        public string Name { get; set; }

        private List<County> _counties;

        public List<County> Counties
        {
            get
            {
                if (_counties == null)
                    _counties = new List<County>();
                return _counties;
            }
        }
    }

    public class County
    {
        public string Name { get; set; }
        public double PM10 { get; set; }
        public double PM2_5 { get; set; }

    }
}
