﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using AxisGroupingDemoLib.Samples;

namespace AxisGroupingDemo
{
    public class AxisGroupingViewModel
    {
        public AxisGroupingViewModel()
        {
            Samples = new List<SampleItem>();
            Samples.Add(new SampleItem("Categorical", "Categorical Axis Grouping", new CategoricalAxisGroupingDemo()));
            Samples.Add(new SampleItem("Switch Groups", "Switching Category Groups", new SwitchAxisGroupsDemo()));
            Samples.Add(new SampleItem("Numerical", "Numerical Axis Grouping", new NumericalAxisGroupingDemo()));
            Samples.Add(new SampleItem("DateTime", "DateTime Axis Grouping", new DateTimeAxisGroupingDemo()));
        }

        public List<SampleItem> Samples
        {
            get; set;
        }
    }
}
